@DATABASE CharMap User's Manual
@AUTHOR tpierron@free.fr
$VER:Manuel utilisateur de CharMap v1.4
@node MAIN Sommaire

			__________________________________________________
			 @{b}MANUEL  D'UTILISATION  DE  @{fg HIGHLIGHT}CHARMAP@{fg TEXT}  VERSION  1.4@{ub}
			

  Ce guide vous expliquera les fonctionnalits de ce petit utilitaire. Pour
  ceux qui en doute, l'utilisation reste videmment extrmement simple et si
  vous avez l'impression que vous en apprendrez autant sur le tas, je vous
  conseille vivement d'appuyer sur `Esc'.


  @{"   1.INTRODUCTION        " link Introduction }	Pourquoi ce logiciel.

  @{"   2.LE NECESSAIRE       " link Requirements }	Comment l'installer

  @{"   3.USAGE               " link Usage }	Comment l'utiliser

  @{"   4.SOURCES             " link Sources }	Quelques notes au sujet des sources

@endnode
@node Introduction

			______________
			 @{b}INTRODUCTION@{ub}
			

  Je resent une certaine curiosit en vous, n'est ce pas? En fait l'ide d'un
  tel logiciel n'est pas nouveau, bien-sr. C'est en utilisant Microsoft Word
  sur PC que j'ai entreprit de concevoir ce minuscule utilitaire,  dfaut d'en
  avoir un sous la main. Cela me pris environ 11 jours pour raliser cette
  version finale.

  Pour ceux qui ne connaisent pas de quoi il s'agit, c'est en fait un outil qui
  @{b}affiche la totalit des caractres ASCII@{ub} d'une police. Eh oui, le clavier ne
  permet pas d'avoir recours  toutes les touches de la manire la plus convi-
  viale. Les amateurs de Ctrl+Shift+Alt Gr+X,J, ne me contrediront pas.
  
  Bref de cette manire vous avez une vision de l'ensemble des caractres d'une
  police donne, ce qui d'autant plus pratique, qu'elle n'est pas toujours au format
  ISO Latin1. Les utilisateurs du MS-DOS et du Macintosh, ne me contrediront pas non
  plus.
  
  Enfin, n'tes vous jamais demand quel tait le fichu code ASCII du ,  ou ? Ou
  encore, d'o venait les caractres bizarodes la police Trucluche.font ?
  Pas de problme, se logiciel saura vous le dire.

@endnode
@node Requirements "Le ncessaire pour pouvoir utiliser CharMap"

			_____________________________
			 @{b}LE NSSAIRE AVANT EXCUTION@{ub}
			

  Les besoins du logiciels sont en fait ridicules, bien-sr. Pas besoin de 512M de
  RAM, ni de 300 dll de 12 megs chacunne. En fait elles sont toutes facultatives
  (pratique pour les environnements rduits!), mais amliorent toutes d'une manire
  ou d'une autre, grandement l'ergonomie du logiciel:
	 @{b}Asl.library@{ub} : pouvoir choisir sa police
	 @{b}Diskfont.library@{ub} : manipuler les polices sur disques
	 @{b}Commodities.library@{ub} : cacher l'interface et utiliser les hot-keys
	 @{b}Locale.library@{ub} : utiliser une autre langue que l'Anglais

  Accessoirement un Kickstart 2.1 ou plus est ncessaire, videmment.

			______________
			 @{b}INSTALLATION@{ub}
			

  Pour installer ce logiciel, le mieux est d'utiliser le script Installer fournit dans
  l'archive, ne serait ce que pour installer les catalogues de langue ou le programme
  ailleur que dans le rpertoire WBStartup.

  Quant aux autres fichiers (sources et docs), c'est  vous de voir.

@endnode
@node Usage

			___________________
			 @{b}USAGE DU LOGICIEL@{ub}
			


  @{fg HIGHLIGHT}1.L'interface@{fg TEXT}

  L'interface principale ce compose d'une zone de saisie de texte et de 192  256
  cases comportant chaques caractres imprimables d'une police ISO Latin1. En cli-
  quant sur une des cases, le caractre vient tout simplement s'insrer dans la
  zone de saisie. Le curseur peut aussi se diriger avec le clavier, et dans ce cas
  la barre espace fait office le bouton gauche et ESC de bouton droit.

  Enfin les gadgets de l'interface sont ni plu ni moins que des raccourcis au menu
  correspondant. De gauche  droite et de haut en bas, on retrouve: "<=" permet
  d'effacer le contenu de la zone de saisie. "Police..." pour choisir une autre
  police (seulement si l'ASL.library est prsente!). Le gadget cyclique est identique
  au menu du menu nom. et les deux autres sont utiliss pour le calepin.

  @{fg HIGHLIGHT}2.Les outils du menu@{fg TEXT}

  Le menu n'apparait qu'en cliquant avec le bouton droit de la souris en-dehors de
  la mappe de caractre. Celui-ci comporte les commandes suivantes:

	 @{b}Police@{ub}       : Permet de choisir le type de police  afficher:
			  @{b}Police cran@{ub} : Affiche la police par dfault qui est utilis
					  pour reprsenter le texte des applications sous
					  Workbench.
			  @{b}Police texte@{ub} : Police  chasse fixe utilis par dfaut. An-
					  cestralement la topaz remplissait ce travail.
			   @{b}Choisir@{ub}     : Ouvre une requte ASL pour choisir la fonte
					  que vous voulez.
	__________________

	 @{b}Jeu de caractre@{ub} : Permet de rduire ou d'agrandir le nombre de caractres
			  affichs dans la table. Parmis:
			   @{b}ASCII 8bits@{ub} : Tous les caractres.
			   @{b}ISO Latin1@{ub}  : Un peu comme ASCII 8bits, sans les 32 premiers.
					  Ces caractres correspondent en fait  des s-
					  quences de contrle et ne que trs rarement ac-
					  compagns d'un symbole graphique.
			   @{b}Standard Amiga@{ub} : Comme ISO Latin1 sans les caractres 127 
					  159 inclus. C'est en fait les caractres que
					  toutes polices sur Amiga doit avoir dfinie.
			  Le choix de l'un ou l'autre jeu de caractre en fait en fonction
			  des informations contenues dans la structure de donnes de la
			  fonte, de manire  afficher l'ensemble des caractres possibles.

	 @{b}A propos...@{ub}   : Affiche les infos sur le copyright
	__________________

	 @{b}Iconifier@{ub}     : Rduit la fentre principale  sa barre de titre.
	                  Utilisez  nouveau ce menu pour rtablir la fentre.
	 @{b}Cacher@{ub}        : Retire compltement la fentre de l'cran.
	                  Utilisez `Exchange' ou la Hot-key pour la faire rapparatre.
	 @{b}cran suivant@{ub} : Passe d'un cran  l'autre. Initialement la fentre du logiciel
			  s'ouvre sur l'cran actif. Vous pouvez en changer grace  ce menu.
			  Faites seulement attention  des crans comme ceux de DPaint qui
			  grent leur mmoire vido  part. Ce menu n'apparait que si la
			  Commodities.library n'est pas prsente. Si elle l'est, utilisez
			  la hot-key pour vous dplacer d'un cran  l'autre.

	 @{b}Quitter@{ub}       : ...


	 @{b}Couper@{ub}        : Dplace le texte vers le presse-papier (si possible).
	 @{b}Copier@{ub}        : Comme couper, mais sans effacer le texte.
	 @{b}Coller@{ub}        : Copie les 50 premiers caractres contenus dans le calepin.
	_______________

	 @{b}Effacer le texte@{ub} : Dans la zone de saisie.


  @{fg HIGHLIGHT}3.Racourcis claviers@{fg TEXT}

  Quelques raccourcis claviers qui facilitent toujours la vie:
	 @{b}Amiga + S@{ub} (Screen) : Police d'cran
	 @{b}Amiga + T@{ub} (Text) : Police texte
	 @{b}Amiga + F@{ub} (Font) : Choix d'une police
	 @{b}Amiga + J@{ub} (Jump) : cran suivant
	 @{b}Amiga + ?@{ub}        : L' propos du logiciel
	 @{b}Del@{ub}              : Efface toute la zone de saisie
	 @{b}Amiga + I@{ub}        : Iconifie/diconifie la fentre
	 @{b}Amiga + H, Esc@{ub}   : Cache l'interface du logiciel
	@{b}Amiga + Q,@{ub} ou
	  @{b}Shift + Esc@{ub}      : Quitter
	 @{b}BS@{ub} (<-)          : Efface le dernier caractre de la zone de saisie
	 @{b}HotKey@{ub}           : Un raccourci extrmement pratique, puisqu'il permet
			     d'appeler la fentre du programme @{b}sur l'cran actif@{ub}.
			     A savoir si la fentre tait cache, elle rapparatra, et si
			     elle tait ouverte, elle se dplacera sur l'cran actif, le
			     cas chant. La touche d'appel par dfaut est @{b}control lalt c@{ub}.

  @{fg HIGHLIGHT}4.Ligne de commande / ToolTypes@{fg TEXT}

  Le logiciel se lance bien-sr du CLI. Il n'y a cinq  paramtres principaux:
	 @{b}CX_PRIORITY=n@{ub} : n dsigne un chiffre entre 0 et 127. 0 est un trs bon choix.
	 @{b}CX_POPUP=NO@{ub}   : Force la fentre  ne pas s'ouvrir au dmarrage.
			  Pratique pour les lancements dans l'user-startup.
	 @{b}HOTKEY="..."@{ub}  : la combinaison de touche qui fera apparaitre l'interface
			  quand elle est par exemple cache. La syntaxe exacte des
			  Hot-keys sont dcrites dans le manuel de l'Amiga. La hot-
			  key par dfaut est "lalt control c".
	 @{b}CHARSET=n@{ub}     : n reprsente un nombre compris entre 1 et 3, qui correspond
			  au jeu de caractre disponible via le menu du mme nom.
			  Si vous entrez un nombre en dehors de cet intervalle,
			  le programme utilisera le jeu de caractre qui corresponde
			  le mieux  la police par dfaut.
	 @{b}GEOMETRY=...@{ub}  : Ce paramtre est un peu plus compliqu. En fait, il dcrit
			  la position de la fentre principale et de celle minimise,
			   l'aide d'une liste de nombres signs, spars par des
			  virgules. Les deux premiers correspondent  la position
			  horizontale puis verticale du bord suprieur gauche de la
			  fentre principale et les deux derniers  celles de la
			  fentre minimise. Ces nombres peuvent tre signs et dans
			  ce cas, il se rapporte au bord oppos duquel il font
			  normallement rfrence. Enfin, si un nombre est omis,
			  la position sera centre sur l'cran. Le paramtre par
			  dfaut est ",,,", qui centre toutes les fentres dans
			  toutes les directions.
	
	 @{b}DONOTWAIT@{ub}     : Ce tool-type ne sert que lorsque que vous mettez le
	                  programme dans le rpertoire "WBStartup" du disque de d-
	                  marrage. Il vite que le Workbench attende que le programme
	                  se termine pour lancer les autres programmes ventuels se
	                  trouvant dans ce rpertoire.


  Ces paramtres peuvent soit tre entrs dans une ligne de commande ou se
  trouver dans les Tool-types de l'icone. Si le programme est lanc du CLI
  se sera la ligne de commande qui sera analise, si c'est par le Workbench,
  ce sera les tooltypes, mais @{i}jamais@{ui} les deux  la fois.

@endnode
@node Sources "Notes au sujet des sources"

			_________________________
			 @{b}LES SOURCES DU LOGICIEL@{ub}
			

  Les sources du logiciel sont donnes  titre didactique. Si quelqu'un veut
  les amliorer libre  lui. Le seul dtail qu'il ne faut pas oublier c'est
  que tout ce que contient l'archive (docs, sources...) est en free-software,
  logiciel libre en franais. Pour ceux qui ont vraiment la flemme de lire le
  fichier COPYING (termes de la GNU Public License), voici un bref rsum:

	Garantir la libert du produit (attention a ne veut pas dire la gratuit,
	  comme certains ont tendance  penser trop vite!). C'est--dire que le logciel
	  doit toujours se faire accompagner de ses sources, le moteur du logciel.
	  Libre  chacun de regarder le fonctionnement et de le modifier. Dans le cas
	  d'une modification, une redistribution n'est possible que si les sources
	  sont prsentes, sauf si bien-sr les modifications n'ont aucun lien avec
	  le logiciel (un plug-in par exemple). Dans ce dernier cas, une licence spci-
	  fique peut s'appliquer.

	 AUCUNNE garantie n'est livr avec ce logiciel. Donc comme disait l'autre:

	 Ce n'est pas de notre faute si en lancant ce logiciel, votre ordi explose
	  dans un jet de flamme, incendiant votre maison et dvastant tout
	  dans un rayon de trois pats de maison. Emergeant alors de ce chaos de
	  flammes, vous ne pourrez que maudir les programmeurs jusqu' leur 19e
	  gnration. 

	 Quelques autres dtails juridiques (limitations de la licence  cetains
	  pays, notamment en matire de cryptographie,...), que mes maigres connais-
	  sances du droit ne saisissent pas tout a fait.


  Quelques dtails techniques maintenant. Ce logiciel a t compil avec GCC 2.7.0
  pour CBM-AmigaDOS-mc68000 et ncessite 5 minutes de compilation sur Amiga 1200
  de base avec une optimisation de niveau 2. Le logiciel a t crit en un peu plus de
  1500 lignes de code C ANSI rpartis sur 4 fichiers, totalisant 46Ko environ. Libre
   vous de le recompiler en ce que vous voulez. pour cela tapez:
  @{b}gcc #?.c -o cmap -s -O2 -noixemul@{ub} pour obtenir un exe cmap.

@endnode
